.Riyaan Docs
API ReferenceTools
POST
/api/tools

Authorization

bearerAuth
AuthorizationBearer <token>

appSecret or sessionToken

In: header

Request Body

application/json

name*string

Unique tool name

description*string

What the tool does

parametersSchema*string

JSON Schema for parameters

endpoint*string

URL to call when tool is invoked

headers?object

Custom HTTP headers

httpMethod?string

HTTP method (default: POST)

requiresConfirmation?boolean

Require user confirmation before executing

requiresAuth?boolean

Tool requires authentication

Response Body

application/json

curl -X POST "https://your-convex-deployment.convex.site/api/tools" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "description": "string",    "parametersSchema": "string",    "endpoint": "string"  }'
{}
Edit on GitHub

Last updated on